/**
 * Oracle Cloud AI Services API
 * OCI AI Service solutions can help Enterprise customers integrate AI into their products immediately by using our proven,
pre-trained/custom models or containers, and without a need to set up in house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI/ML operations, shortening the time to market.

 * OpenAPI spec version: 20210101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Specifies the details of the MSET model during the create call.
 */
export interface ModelTrainingDetails {
    /**
     * A target model accuracy metric user provides as their requirement Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "targetFap"?: number;
    /**
     * Fraction of total data that is used for training the model. The remaining is used for validation of the model. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "trainingFraction"?: number;
    /**
     * The list of OCIDs of the data assets to train the model. The dataAssets have to be in the same project where the ai model would reside.
     */
    "dataAssetIds": Array<string>;
}
export declare namespace ModelTrainingDetails {
    function getJsonObj(obj: ModelTrainingDetails): object;
    function getDeserializedJsonObj(obj: ModelTrainingDetails): object;
}
