/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of a Database currently using a Private Endpoint.
 */
export interface AssociatedDatabaseSummary {
    /**
     * The OCID of the database.
     */
    "id": string;
    /**
     * The name of the database.
     */
    "name": string;
    /**
     * The compartment ID of the database.
     */
    "compartmentId": string;
    /**
     * The time when the database was registered for Database Management.
     */
    "timeRegistered": Date;
}
export declare namespace AssociatedDatabaseSummary {
    function getJsonObj(obj: AssociatedDatabaseSummary): object;
    function getDeserializedJsonObj(obj: AssociatedDatabaseSummary): object;
}
