/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20210929
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Optional settings for Data Pump Export and Import jobs
 *
 */
export interface CreateDataPumpSettings {
    /**
     * Data Pump job mode.
     * Refer to [link text](https://docs.oracle.com/en/database/oracle/oracle-database/19/sutil/oracle-data-pump-export-utility.html#GUID-8E497131-6B9B-4CC8-AA50-35F480CAC2C4)
     *
     */
    "jobMode"?: model.DataPumpJobMode;
    "dataPumpParameters"?: model.CreateDataPumpParameters;
    /**
     * Defines remapping to be applied to objects as they are processed.
     * Refer to [DATA_REMAP](https://docs.oracle.com/en/database/oracle/oracle-database/19/arpls/DBMS_DATAPUMP.html#GUID-E75AAE6F-4EA6-4737-A752-6B62F5E9D460)
     *
     */
    "metadataRemaps"?: Array<model.MetadataRemap>;
    "exportDirectoryObject"?: model.CreateDirectoryObject;
    "importDirectoryObject"?: model.CreateDirectoryObject;
}
export declare namespace CreateDataPumpSettings {
    function getJsonObj(obj: CreateDataPumpSettings): object;
    function getDeserializedJsonObj(obj: CreateDataPumpSettings): object;
}
