/**
 * DlsDataPlane API
 * A description of the DlsDataPlane API.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Aggregation entities are required by the api consistency guidelines for API Consistency Guidelines#AnalyticsAPIs.  These are used to summarize annotations for a given dataset and will be used to populate UI elements.  Aggregations need to have the fields that identify the exact scope that they're summarizing.  Any filters to the list API we apply would have to show up in the aggregation. We should limit the number of filters and dimensions as much as possible.
 */
export interface AnnotationAnalyticsAggregation {
    /**
     * the count of the matching results Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
    /**
     * OCID of the dataset the annotations belongs to
     */
    "datasetId": string;
    "dimensions"?: model.AnnotationAggregationDimensions;
    /**
     * The OCID of the principal who updated the annotation
     */
    "updatedBy"?: string;
    /**
     * OCID of the compartment containing the annotations
     */
    "compartmentId": string;
    /**
     * Describes the lifecycle state.
     */
    "lifecycleState"?: string;
}
export declare namespace AnnotationAnalyticsAggregation {
    function getJsonObj(obj: AnnotationAnalyticsAggregation): object;
    function getDeserializedJsonObj(obj: AnnotationAnalyticsAggregation): object;
}
