"use strict";
/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BuildRunSource = void 0;
const model = __importStar(require("../model"));
var BuildRunSource;
(function (BuildRunSource) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if ("sourceType" in obj && obj.sourceType) {
            switch (obj.sourceType) {
                case "GITHUB":
                    return model.GithubBuildRunSource.getJsonObj(jsonObj, true);
                case "DEVOPS_CODE_REPOSITORY":
                    return model.DevopsCodeRepositoryBuildRunSource.getJsonObj(jsonObj, true);
                case "MANUAL":
                    return model.ManualBuildRunSource.getJsonObj(jsonObj, true);
                case "GITLAB":
                    return model.GitlabBuildRunSource.getJsonObj(jsonObj, true);
                default:
                    throw Error("Unknown value for: " + obj.sourceType);
            }
        }
        return jsonObj;
    }
    BuildRunSource.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if ("sourceType" in obj && obj.sourceType) {
            switch (obj.sourceType) {
                case "GITHUB":
                    return model.GithubBuildRunSource.getDeserializedJsonObj(jsonObj, true);
                case "DEVOPS_CODE_REPOSITORY":
                    return model.DevopsCodeRepositoryBuildRunSource.getDeserializedJsonObj(jsonObj, true);
                case "MANUAL":
                    return model.ManualBuildRunSource.getDeserializedJsonObj(jsonObj, true);
                case "GITLAB":
                    return model.GitlabBuildRunSource.getDeserializedJsonObj(jsonObj, true);
                default:
                    throw Error("Unknown value for: " + obj.sourceType);
            }
        }
        return jsonObj;
    }
    BuildRunSource.getDeserializedJsonObj = getDeserializedJsonObj;
})(BuildRunSource = exports.BuildRunSource || (exports.BuildRunSource = {}));
//# sourceMappingURL=build-run-source.js.map