/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about a group of changes.
 */
export interface DiffChunk {
    /**
     * Line number in base version where changes begin. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "baseLine"?: number;
    /**
     * Number of lines chunk spans in base version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "baseSpan"?: number;
    /**
     * Line number in target version where changes begin. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "targetLine"?: number;
    /**
     * Number of lines chunk spans in target version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "targetSpan"?: number;
    /**
     * List of DiffSection.
     */
    "diffSections"?: Array<model.DiffSection>;
}
export declare namespace DiffChunk {
    function getJsonObj(obj: DiffChunk): object;
    function getDeserializedJsonObj(obj: DiffChunk): object;
}
