/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of UIM Artifact delivered via DeliverArtifactStage.
 */
export interface GenericDeliveredArtifact extends model.DeliveredArtifact {
    /**
     * The OCID of the artifact registry repository used by the DeliverArtifactStage
     */
    "artifactRepositoryId"?: string;
    /**
     * The OCID of the artifact pushed by the DeliverArtifactStage
     */
    "deliveredArtifactId": string;
    /**
     * Path of the repository where artifact was pushed
     */
    "path"?: string;
    /**
     * Version of the artifact pushed
     */
    "version"?: string;
    "artifactType": string;
}
export declare namespace GenericDeliveredArtifact {
    function getJsonObj(obj: GenericDeliveredArtifact, isParentJsonObj?: boolean): object;
    const artifactType = "GENERIC_ARTIFACT";
    function getDeserializedJsonObj(obj: GenericDeliveredArtifact, isParentJsonObj?: boolean): object;
}
