/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Object containing information about files and directories in a repository
 */
export interface RepositoryObject {
    /**
     * The type of git object.
     */
    "type": RepositoryObject.Type;
    /**
     * Size in Bytes Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sizeInBytes": number;
    /**
     * SHA-1 hash of git object
     */
    "sha": string;
    /**
     * flag to determine is the object contains binary file content or not.
     */
    "isBinary"?: boolean;
}
export declare namespace RepositoryObject {
    enum Type {
        Blob = "BLOB",
        Tree = "TREE",
        Commit = "COMMIT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: RepositoryObject): object;
    function getDeserializedJsonObj(obj: RepositoryObject): object;
}
