/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of a Ref
 */
export interface RepositoryRefSummary {
    /**
     * Ref name inside a repository
     */
    "refName": string;
    /**
     * Unique full ref name inside a repository
     */
    "fullRefName": string;
    /**
     * The OCID of the repository containing the ref.
     */
    "repositoryId": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.  See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: `{\"bar-key\": \"value\"}`
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: `{\"foo-namespace\": {\"bar-key\": \"value\"}}`
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    "refType": string;
}
export declare namespace RepositoryRefSummary {
    function getJsonObj(obj: RepositoryRefSummary): object;
    function getDeserializedJsonObj(obj: RepositoryRefSummary): object;
}
