/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the Repository.
 */
export interface RepositorySummary {
    /**
     * The OCID of the repository. This value is unique and immutable.
     */
    "id": string;
    /**
     * Unique name of a repository. This value is mutable.
     */
    "name"?: string;
    /**
     * The OCID of the repository's Compartment.
     */
    "compartmentId": string;
    /**
     * The OCID of the Project containing the repository.
     */
    "projectId": string;
    /**
     * Tenancy unique namespace. This value is fetched from Project Service
     */
    "namespace"?: string;
    /**
     * Unique name of a project in a namespace. This value is fetched from Project Service
     */
    "projectName"?: string;
    /**
     * The description of this repository. Avoid entering confidential information
     */
    "description"?: string;
    /**
     * The default branch of the repository
     */
    "defaultBranch"?: string;
    /**
     * Type of repository
     */
    "repositoryType"?: string;
    /**
     * ssh url user utilized to git clone, pull and push
     */
    "sshUrl"?: string;
    /**
     * http url user utilized to git clone, pull and push
     */
    "httpUrl"?: string;
    "mirrorRepositoryConfig"?: model.MirrorRepositoryConfig;
    /**
     * The time the the Repository was created. An RFC3339 formatted datetime string
     */
    "timeCreated"?: Date;
    /**
     * The time the Repository was updated. An RFC3339 formatted datetime string
     */
    "timeUpdated"?: Date;
    /**
     * The current state of the Repository.
     */
    "lifecycleState"?: string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.  See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: `{\"bar-key\": \"value\"}`
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: `{\"foo-namespace\": {\"bar-key\": \"value\"}}`
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces. See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: `{\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}`
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace RepositorySummary {
    function getJsonObj(obj: RepositorySummary): object;
    function getDeserializedJsonObj(obj: RepositorySummary): object;
}
