/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies Trigger Deployment Pipleline stage which runs another pipeline of the application.
 */
export interface TriggerDeploymentStageSummary extends model.BuildPipelineStageSummary {
    /**
     * A target deploy Pipeline ocid that will be run in this stage.
     */
    "deployPipelineId": string;
    /**
     * A boolean flag specifies whether the parameters should be passed during the deployment trigger.
     */
    "isPassAllParametersEnabled": boolean;
    "buildPipelineStageType": string;
}
export declare namespace TriggerDeploymentStageSummary {
    function getJsonObj(obj: TriggerDeploymentStageSummary, isParentJsonObj?: boolean): object;
    const buildPipelineStageType = "TRIGGER_DEPLOYMENT_PIPELINE";
    function getDeserializedJsonObj(obj: TriggerDeploymentStageSummary, isParentJsonObj?: boolean): object;
}
