/**
 * DevOps API
 * Use the DevOps APIs to create a DevOps project to group the pipelines,  add reference to target deployment environments, add artifacts to deploy,  and create deployment pipelines needed to deploy your software.
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for updating a connection of the type `GITLAB_ACCESS_TOKEN`.
 * This type corresponds to a connection in GitLab that is authenticated with a personal access token.
 *
 */
export interface UpdateGitlabAccessTokenConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * OCID of personal access token saved in secret store
     */
    "accessToken"?: string;
    "connectionType": string;
}
export declare namespace UpdateGitlabAccessTokenConnectionDetails {
    function getJsonObj(obj: UpdateGitlabAccessTokenConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "GITLAB_ACCESS_TOKEN";
    function getDeserializedJsonObj(obj: UpdateGitlabAccessTokenConnectionDetails, isParentJsonObj?: boolean): object;
}
