/**
 * Identity and Access Management Service API
 * APIs for managing users, groups, compartments, and policies.
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Create a domain details
 */
export interface CreateDomainDetails {
    /**
     * The OCID of the Compartment where domain is created
     */
    "compartmentId": string;
    /**
     * The mutable display name of the domain.
     */
    "displayName": string;
    /**
     * Domain entity description
     */
    "description": string;
    /**
      * The region's name. See [Regions and Availability Domains](https://docs.cloud.oracle.com/Content/General/Concepts/regions.htm)
  * for the full list of supported region names.
  * <p>
  Example: `us-phoenix-1`
  *
      */
    "homeRegion": string;
    /**
     * The License type of Domain
     */
    "licenseType": string;
    /**
     * Indicates whether domain is hidden on login screen or not.
     *
     */
    "isHiddenOnLogin"?: boolean;
    /**
     * The admin first name
     */
    "adminFirstName"?: string;
    /**
     * The admin last name
     */
    "adminLastName"?: string;
    /**
     * The admin user name
     */
    "adminUserName"?: string;
    /**
     * The admin email address
     */
    "adminEmail"?: string;
    /**
     * Indicates if admin user created in IDCS stripe would like to receive notification like welcome email
     * or not.
     * Required field only if admin information is provided, otherwise optional.
     *
     */
    "isNotificationBypassed"?: boolean;
    /**
     * Optional field to indicate whether users in the domain are required to have a primary email address or not
     * Defaults to true
     *
     */
    "isPrimaryEmailRequired"?: boolean;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: `{\"Department\": \"Finance\"}`
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: `{\"Operations\": {\"CostCenter\": \"42\"}}`
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateDomainDetails {
    function getJsonObj(obj: CreateDomainDetails): object;
    function getDeserializedJsonObj(obj: CreateDomainDetails): object;
}
