/**
 * Identity and Access Management Service API
 * APIs for managing users, groups, compartments, and policies.
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Domain replication states.
 */
export interface DomainReplication {
    /**
     * Version number indicating the value of kievTxnId, starting from which, the domain replication events need to be returned. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "opcWaterMark": number;
    /**
     * Custom value defining the order of records with same kievTxnId Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "txnSeqNumber": number;
    /**
     * The domain's replication state
     */
    "domainReplicationStates": Array<model.DomainReplicationStates>;
}
export declare namespace DomainReplication {
    function getJsonObj(obj: DomainReplication): object;
    function getDeserializedJsonObj(obj: DomainReplication): object;
}
