/**
 * Operations Insights API
 * Use the Operations Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Operations Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as AddExadataInsightMembersDetails from "./add-exadata-insight-members-details";
export import AddExadataInsightMembersDetails = AddExadataInsightMembersDetails.AddExadataInsightMembersDetails;
import * as ChangeDatabaseInsightCompartmentDetails from "./change-database-insight-compartment-details";
export import ChangeDatabaseInsightCompartmentDetails = ChangeDatabaseInsightCompartmentDetails.ChangeDatabaseInsightCompartmentDetails;
import * as ChangeEnterpriseManagerBridgeCompartmentDetails from "./change-enterprise-manager-bridge-compartment-details";
export import ChangeEnterpriseManagerBridgeCompartmentDetails = ChangeEnterpriseManagerBridgeCompartmentDetails.ChangeEnterpriseManagerBridgeCompartmentDetails;
import * as ChangeExadataInsightCompartmentDetails from "./change-exadata-insight-compartment-details";
export import ChangeExadataInsightCompartmentDetails = ChangeExadataInsightCompartmentDetails.ChangeExadataInsightCompartmentDetails;
import * as ChangeHostInsightCompartmentDetails from "./change-host-insight-compartment-details";
export import ChangeHostInsightCompartmentDetails = ChangeHostInsightCompartmentDetails.ChangeHostInsightCompartmentDetails;
import * as ConnectionDetails from "./connection-details";
export import ConnectionDetails = ConnectionDetails.ConnectionDetails;
import * as CreateDatabaseInsightDetails from "./create-database-insight-details";
export import CreateDatabaseInsightDetails = CreateDatabaseInsightDetails.CreateDatabaseInsightDetails;
import * as CreateEmManagedExternalExadataMemberEntityDetails from "./create-em-managed-external-exadata-member-entity-details";
export import CreateEmManagedExternalExadataMemberEntityDetails = CreateEmManagedExternalExadataMemberEntityDetails.CreateEmManagedExternalExadataMemberEntityDetails;
import * as CreateEnterpriseManagerBridgeDetails from "./create-enterprise-manager-bridge-details";
export import CreateEnterpriseManagerBridgeDetails = CreateEnterpriseManagerBridgeDetails.CreateEnterpriseManagerBridgeDetails;
import * as CreateExadataInsightDetails from "./create-exadata-insight-details";
export import CreateExadataInsightDetails = CreateExadataInsightDetails.CreateExadataInsightDetails;
import * as CreateHostInsightDetails from "./create-host-insight-details";
export import CreateHostInsightDetails = CreateHostInsightDetails.CreateHostInsightDetails;
import * as CredentialDetails from "./credential-details";
export import CredentialDetails = CredentialDetails.CredentialDetails;
import * as Database from "./database";
export import Database = Database.Database;
import * as DatabaseConfigurationCollection from "./database-configuration-collection";
export import DatabaseConfigurationCollection = DatabaseConfigurationCollection.DatabaseConfigurationCollection;
import * as DatabaseConfigurationMetricGroup from "./database-configuration-metric-group";
export import DatabaseConfigurationMetricGroup = DatabaseConfigurationMetricGroup.DatabaseConfigurationMetricGroup;
import * as DatabaseConfigurationSummary from "./database-configuration-summary";
export import DatabaseConfigurationSummary = DatabaseConfigurationSummary.DatabaseConfigurationSummary;
import * as DatabaseDetails from "./database-details";
export import DatabaseDetails = DatabaseDetails.DatabaseDetails;
import * as DatabaseEntitySource from "./database-entity-source";
export import DatabaseEntitySource = DatabaseEntitySource.DatabaseEntitySource;
import * as DatabaseEntitySourceAll from "./database-entity-source-all";
export import DatabaseEntitySourceAll = DatabaseEntitySourceAll.DatabaseEntitySourceAll;
import * as DatabaseInsight from "./database-insight";
export import DatabaseInsight = DatabaseInsight.DatabaseInsight;
import * as DatabaseInsightSummary from "./database-insight-summary";
export import DatabaseInsightSummary = DatabaseInsightSummary.DatabaseInsightSummary;
import * as DatabaseInsights from "./database-insights";
export import DatabaseInsights = DatabaseInsights.DatabaseInsights;
import * as DatabaseInsightsCollection from "./database-insights-collection";
export import DatabaseInsightsCollection = DatabaseInsightsCollection.DatabaseInsightsCollection;
import * as DiskGroup from "./disk-group";
export import DiskGroup = DiskGroup.DiskGroup;
import * as DiskGroupDetails from "./disk-group-details";
export import DiskGroupDetails = DiskGroupDetails.DiskGroupDetails;
import * as EnableDatabaseInsightDetails from "./enable-database-insight-details";
export import EnableDatabaseInsightDetails = EnableDatabaseInsightDetails.EnableDatabaseInsightDetails;
import * as EnableExadataInsightDetails from "./enable-exadata-insight-details";
export import EnableExadataInsightDetails = EnableExadataInsightDetails.EnableExadataInsightDetails;
import * as EnableHostInsightDetails from "./enable-host-insight-details";
export import EnableHostInsightDetails = EnableHostInsightDetails.EnableHostInsightDetails;
import * as EnterpriseManagerBridge from "./enterprise-manager-bridge";
export import EnterpriseManagerBridge = EnterpriseManagerBridge.EnterpriseManagerBridge;
import * as EnterpriseManagerBridgeCollection from "./enterprise-manager-bridge-collection";
export import EnterpriseManagerBridgeCollection = EnterpriseManagerBridgeCollection.EnterpriseManagerBridgeCollection;
import * as EnterpriseManagerBridgeSummary from "./enterprise-manager-bridge-summary";
export import EnterpriseManagerBridgeSummary = EnterpriseManagerBridgeSummary.EnterpriseManagerBridgeSummary;
import * as EnterpriseManagerBridges from "./enterprise-manager-bridges";
export import EnterpriseManagerBridges = EnterpriseManagerBridges.EnterpriseManagerBridges;
import * as ExadataConfigurationCollection from "./exadata-configuration-collection";
export import ExadataConfigurationCollection = ExadataConfigurationCollection.ExadataConfigurationCollection;
import * as ExadataConfigurationSummary from "./exadata-configuration-summary";
export import ExadataConfigurationSummary = ExadataConfigurationSummary.ExadataConfigurationSummary;
import * as ExadataDetails from "./exadata-details";
export import ExadataDetails = ExadataDetails.ExadataDetails;
import * as ExadataEntitySource from "./exadata-entity-source";
export import ExadataEntitySource = ExadataEntitySource.ExadataEntitySource;
import * as ExadataInsight from "./exadata-insight";
export import ExadataInsight = ExadataInsight.ExadataInsight;
import * as ExadataInsightLifecycleState from "./exadata-insight-lifecycle-state";
export import ExadataInsightLifecycleState = ExadataInsightLifecycleState.ExadataInsightLifecycleState;
import * as ExadataInsightResourceCapacityTrendAggregation from "./exadata-insight-resource-capacity-trend-aggregation";
export import ExadataInsightResourceCapacityTrendAggregation = ExadataInsightResourceCapacityTrendAggregation.ExadataInsightResourceCapacityTrendAggregation;
import * as ExadataInsightResourceCapacityTrendSummary from "./exadata-insight-resource-capacity-trend-summary";
export import ExadataInsightResourceCapacityTrendSummary = ExadataInsightResourceCapacityTrendSummary.ExadataInsightResourceCapacityTrendSummary;
import * as ExadataInsightResourceForecastTrendSummary from "./exadata-insight-resource-forecast-trend-summary";
export import ExadataInsightResourceForecastTrendSummary = ExadataInsightResourceForecastTrendSummary.ExadataInsightResourceForecastTrendSummary;
import * as ExadataInsightResourceInsightUtilizationItem from "./exadata-insight-resource-insight-utilization-item";
export import ExadataInsightResourceInsightUtilizationItem = ExadataInsightResourceInsightUtilizationItem.ExadataInsightResourceInsightUtilizationItem;
import * as ExadataInsightResourceStatistics from "./exadata-insight-resource-statistics";
export import ExadataInsightResourceStatistics = ExadataInsightResourceStatistics.ExadataInsightResourceStatistics;
import * as ExadataInsightResourceStatisticsAggregation from "./exadata-insight-resource-statistics-aggregation";
export import ExadataInsightResourceStatisticsAggregation = ExadataInsightResourceStatisticsAggregation.ExadataInsightResourceStatisticsAggregation;
import * as ExadataInsightSummary from "./exadata-insight-summary";
export import ExadataInsightSummary = ExadataInsightSummary.ExadataInsightSummary;
import * as ExadataInsightSummaryCollection from "./exadata-insight-summary-collection";
export import ExadataInsightSummaryCollection = ExadataInsightSummaryCollection.ExadataInsightSummaryCollection;
import * as ExadataInsights from "./exadata-insights";
export import ExadataInsights = ExadataInsights.ExadataInsights;
import * as ExadataMemberCollection from "./exadata-member-collection";
export import ExadataMemberCollection = ExadataMemberCollection.ExadataMemberCollection;
import * as ExadataMemberSummary from "./exadata-member-summary";
export import ExadataMemberSummary = ExadataMemberSummary.ExadataMemberSummary;
import * as ExadataRackType from "./exadata-rack-type";
export import ExadataRackType = ExadataRackType.ExadataRackType;
import * as ExadataType from "./exadata-type";
export import ExadataType = ExadataType.ExadataType;
import * as HistoricalDataItem from "./historical-data-item";
export import HistoricalDataItem = HistoricalDataItem.HistoricalDataItem;
import * as Host from "./host";
export import Host = Host.Host;
import * as HostConfigurationCollection from "./host-configuration-collection";
export import HostConfigurationCollection = HostConfigurationCollection.HostConfigurationCollection;
import * as HostConfigurationMetricGroup from "./host-configuration-metric-group";
export import HostConfigurationMetricGroup = HostConfigurationMetricGroup.HostConfigurationMetricGroup;
import * as HostConfigurationSummary from "./host-configuration-summary";
export import HostConfigurationSummary = HostConfigurationSummary.HostConfigurationSummary;
import * as HostDetails from "./host-details";
export import HostDetails = HostDetails.HostDetails;
import * as HostEntitySource from "./host-entity-source";
export import HostEntitySource = HostEntitySource.HostEntitySource;
import * as HostInsight from "./host-insight";
export import HostInsight = HostInsight.HostInsight;
import * as HostInsightResourceStatisticsAggregation from "./host-insight-resource-statistics-aggregation";
export import HostInsightResourceStatisticsAggregation = HostInsightResourceStatisticsAggregation.HostInsightResourceStatisticsAggregation;
import * as HostInsightSummary from "./host-insight-summary";
export import HostInsightSummary = HostInsightSummary.HostInsightSummary;
import * as HostInsightSummaryCollection from "./host-insight-summary-collection";
export import HostInsightSummaryCollection = HostInsightSummaryCollection.HostInsightSummaryCollection;
import * as HostInsights from "./host-insights";
export import HostInsights = HostInsights.HostInsights;
import * as HostInstanceMap from "./host-instance-map";
export import HostInstanceMap = HostInstanceMap.HostInstanceMap;
import * as HostPerformanceMetricGroup from "./host-performance-metric-group";
export import HostPerformanceMetricGroup = HostPerformanceMetricGroup.HostPerformanceMetricGroup;
import * as HostResourceCapacityTrendAggregation from "./host-resource-capacity-trend-aggregation";
export import HostResourceCapacityTrendAggregation = HostResourceCapacityTrendAggregation.HostResourceCapacityTrendAggregation;
import * as HostResourceStatistics from "./host-resource-statistics";
export import HostResourceStatistics = HostResourceStatistics.HostResourceStatistics;
import * as HostedEntityCollection from "./hosted-entity-collection";
export import HostedEntityCollection = HostedEntityCollection.HostedEntityCollection;
import * as HostedEntitySummary from "./hosted-entity-summary";
export import HostedEntitySummary = HostedEntitySummary.HostedEntitySummary;
import * as ImportableAgentEntitySource from "./importable-agent-entity-source";
export import ImportableAgentEntitySource = ImportableAgentEntitySource.ImportableAgentEntitySource;
import * as ImportableAgentEntitySummary from "./importable-agent-entity-summary";
export import ImportableAgentEntitySummary = ImportableAgentEntitySummary.ImportableAgentEntitySummary;
import * as ImportableAgentEntitySummaryCollection from "./importable-agent-entity-summary-collection";
export import ImportableAgentEntitySummaryCollection = ImportableAgentEntitySummaryCollection.ImportableAgentEntitySummaryCollection;
import * as ImportableEnterpriseManagerEntity from "./importable-enterprise-manager-entity";
export import ImportableEnterpriseManagerEntity = ImportableEnterpriseManagerEntity.ImportableEnterpriseManagerEntity;
import * as ImportableEnterpriseManagerEntityCollection from "./importable-enterprise-manager-entity-collection";
export import ImportableEnterpriseManagerEntityCollection = ImportableEnterpriseManagerEntityCollection.ImportableEnterpriseManagerEntityCollection;
import * as IngestDatabaseConfigurationDetails from "./ingest-database-configuration-details";
export import IngestDatabaseConfigurationDetails = IngestDatabaseConfigurationDetails.IngestDatabaseConfigurationDetails;
import * as IngestDatabaseConfigurationResponseDetails from "./ingest-database-configuration-response-details";
export import IngestDatabaseConfigurationResponseDetails = IngestDatabaseConfigurationResponseDetails.IngestDatabaseConfigurationResponseDetails;
import * as IngestHostConfigurationDetails from "./ingest-host-configuration-details";
export import IngestHostConfigurationDetails = IngestHostConfigurationDetails.IngestHostConfigurationDetails;
import * as IngestHostConfigurationResponseDetails from "./ingest-host-configuration-response-details";
export import IngestHostConfigurationResponseDetails = IngestHostConfigurationResponseDetails.IngestHostConfigurationResponseDetails;
import * as IngestHostMetricsDetails from "./ingest-host-metrics-details";
export import IngestHostMetricsDetails = IngestHostMetricsDetails.IngestHostMetricsDetails;
import * as IngestHostMetricsResponseDetails from "./ingest-host-metrics-response-details";
export import IngestHostMetricsResponseDetails = IngestHostMetricsResponseDetails.IngestHostMetricsResponseDetails;
import * as IngestSqlBucketDetails from "./ingest-sql-bucket-details";
export import IngestSqlBucketDetails = IngestSqlBucketDetails.IngestSqlBucketDetails;
import * as IngestSqlBucketResponseDetails from "./ingest-sql-bucket-response-details";
export import IngestSqlBucketResponseDetails = IngestSqlBucketResponseDetails.IngestSqlBucketResponseDetails;
import * as IngestSqlPlanLinesDetails from "./ingest-sql-plan-lines-details";
export import IngestSqlPlanLinesDetails = IngestSqlPlanLinesDetails.IngestSqlPlanLinesDetails;
import * as IngestSqlPlanLinesResponseDetails from "./ingest-sql-plan-lines-response-details";
export import IngestSqlPlanLinesResponseDetails = IngestSqlPlanLinesResponseDetails.IngestSqlPlanLinesResponseDetails;
import * as IngestSqlTextDetails from "./ingest-sql-text-details";
export import IngestSqlTextDetails = IngestSqlTextDetails.IngestSqlTextDetails;
import * as IngestSqlTextResponseDetails from "./ingest-sql-text-response-details";
export import IngestSqlTextResponseDetails = IngestSqlTextResponseDetails.IngestSqlTextResponseDetails;
import * as InstanceMetrics from "./instance-metrics";
export import InstanceMetrics = InstanceMetrics.InstanceMetrics;
import * as LifecycleState from "./lifecycle-state";
export import LifecycleState = LifecycleState.LifecycleState;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as ProjectedDataItem from "./projected-data-item";
export import ProjectedDataItem = ProjectedDataItem.ProjectedDataItem;
import * as ResourceCapacityTrendAggregation from "./resource-capacity-trend-aggregation";
export import ResourceCapacityTrendAggregation = ResourceCapacityTrendAggregation.ResourceCapacityTrendAggregation;
import * as ResourceInsightCurrentUtilization from "./resource-insight-current-utilization";
export import ResourceInsightCurrentUtilization = ResourceInsightCurrentUtilization.ResourceInsightCurrentUtilization;
import * as ResourceInsightProjectedUtilization from "./resource-insight-projected-utilization";
export import ResourceInsightProjectedUtilization = ResourceInsightProjectedUtilization.ResourceInsightProjectedUtilization;
import * as ResourceInsightProjectedUtilizationItem from "./resource-insight-projected-utilization-item";
export import ResourceInsightProjectedUtilizationItem = ResourceInsightProjectedUtilizationItem.ResourceInsightProjectedUtilizationItem;
import * as ResourceStatistics from "./resource-statistics";
export import ResourceStatistics = ResourceStatistics.ResourceStatistics;
import * as ResourceStatisticsAggregation from "./resource-statistics-aggregation";
export import ResourceStatisticsAggregation = ResourceStatisticsAggregation.ResourceStatisticsAggregation;
import * as ResourceStatus from "./resource-status";
export import ResourceStatus = ResourceStatus.ResourceStatus;
import * as ResourceUsageSummary from "./resource-usage-summary";
export import ResourceUsageSummary = ResourceUsageSummary.ResourceUsageSummary;
import * as ResourceUsageTrendAggregation from "./resource-usage-trend-aggregation";
export import ResourceUsageTrendAggregation = ResourceUsageTrendAggregation.ResourceUsageTrendAggregation;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as SqlBucket from "./sql-bucket";
export import SqlBucket = SqlBucket.SqlBucket;
import * as SqlInsightAggregation from "./sql-insight-aggregation";
export import SqlInsightAggregation = SqlInsightAggregation.SqlInsightAggregation;
import * as SqlInsightAggregationCollection from "./sql-insight-aggregation-collection";
export import SqlInsightAggregationCollection = SqlInsightAggregationCollection.SqlInsightAggregationCollection;
import * as SqlInsightThresholds from "./sql-insight-thresholds";
export import SqlInsightThresholds = SqlInsightThresholds.SqlInsightThresholds;
import * as SqlInventory from "./sql-inventory";
export import SqlInventory = SqlInventory.SqlInventory;
import * as SqlPlanCollection from "./sql-plan-collection";
export import SqlPlanCollection = SqlPlanCollection.SqlPlanCollection;
import * as SqlPlanInsightAggregation from "./sql-plan-insight-aggregation";
export import SqlPlanInsightAggregation = SqlPlanInsightAggregation.SqlPlanInsightAggregation;
import * as SqlPlanInsightAggregationCollection from "./sql-plan-insight-aggregation-collection";
export import SqlPlanInsightAggregationCollection = SqlPlanInsightAggregationCollection.SqlPlanInsightAggregationCollection;
import * as SqlPlanInsights from "./sql-plan-insights";
export import SqlPlanInsights = SqlPlanInsights.SqlPlanInsights;
import * as SqlPlanLine from "./sql-plan-line";
export import SqlPlanLine = SqlPlanLine.SqlPlanLine;
import * as SqlPlanSummary from "./sql-plan-summary";
export import SqlPlanSummary = SqlPlanSummary.SqlPlanSummary;
import * as SqlResponseTimeDistributionAggregation from "./sql-response-time-distribution-aggregation";
export import SqlResponseTimeDistributionAggregation = SqlResponseTimeDistributionAggregation.SqlResponseTimeDistributionAggregation;
import * as SqlResponseTimeDistributionAggregationCollection from "./sql-response-time-distribution-aggregation-collection";
export import SqlResponseTimeDistributionAggregationCollection = SqlResponseTimeDistributionAggregationCollection.SqlResponseTimeDistributionAggregationCollection;
import * as SqlSearchCollection from "./sql-search-collection";
export import SqlSearchCollection = SqlSearchCollection.SqlSearchCollection;
import * as SqlSearchSummary from "./sql-search-summary";
export import SqlSearchSummary = SqlSearchSummary.SqlSearchSummary;
import * as SqlStatisticAggregation from "./sql-statistic-aggregation";
export import SqlStatisticAggregation = SqlStatisticAggregation.SqlStatisticAggregation;
import * as SqlStatisticAggregationCollection from "./sql-statistic-aggregation-collection";
export import SqlStatisticAggregationCollection = SqlStatisticAggregationCollection.SqlStatisticAggregationCollection;
import * as SqlStatistics from "./sql-statistics";
export import SqlStatistics = SqlStatistics.SqlStatistics;
import * as SqlStatisticsTimeSeries from "./sql-statistics-time-series";
export import SqlStatisticsTimeSeries = SqlStatisticsTimeSeries.SqlStatisticsTimeSeries;
import * as SqlStatisticsTimeSeriesAggregation from "./sql-statistics-time-series-aggregation";
export import SqlStatisticsTimeSeriesAggregation = SqlStatisticsTimeSeriesAggregation.SqlStatisticsTimeSeriesAggregation;
import * as SqlStatisticsTimeSeriesAggregationCollection from "./sql-statistics-time-series-aggregation-collection";
export import SqlStatisticsTimeSeriesAggregationCollection = SqlStatisticsTimeSeriesAggregationCollection.SqlStatisticsTimeSeriesAggregationCollection;
import * as SqlStatisticsTimeSeriesByPlanAggregation from "./sql-statistics-time-series-by-plan-aggregation";
export import SqlStatisticsTimeSeriesByPlanAggregation = SqlStatisticsTimeSeriesByPlanAggregation.SqlStatisticsTimeSeriesByPlanAggregation;
import * as SqlStatisticsTimeSeriesByPlanAggregationCollection from "./sql-statistics-time-series-by-plan-aggregation-collection";
export import SqlStatisticsTimeSeriesByPlanAggregationCollection = SqlStatisticsTimeSeriesByPlanAggregationCollection.SqlStatisticsTimeSeriesByPlanAggregationCollection;
import * as SqlText from "./sql-text";
export import SqlText = SqlText.SqlText;
import * as SqlTextCollection from "./sql-text-collection";
export import SqlTextCollection = SqlTextCollection.SqlTextCollection;
import * as SqlTextSummary from "./sql-text-summary";
export import SqlTextSummary = SqlTextSummary.SqlTextSummary;
import * as StorageServer from "./storage-server";
export import StorageServer = StorageServer.StorageServer;
import * as StorageServerDetails from "./storage-server-details";
export import StorageServerDetails = StorageServerDetails.StorageServerDetails;
import * as SummarizeDatabaseInsightResourceCapacityTrendAggregationCollection from "./summarize-database-insight-resource-capacity-trend-aggregation-collection";
export import SummarizeDatabaseInsightResourceCapacityTrendAggregationCollection = SummarizeDatabaseInsightResourceCapacityTrendAggregationCollection.SummarizeDatabaseInsightResourceCapacityTrendAggregationCollection;
import * as SummarizeDatabaseInsightResourceForecastTrendAggregation from "./summarize-database-insight-resource-forecast-trend-aggregation";
export import SummarizeDatabaseInsightResourceForecastTrendAggregation = SummarizeDatabaseInsightResourceForecastTrendAggregation.SummarizeDatabaseInsightResourceForecastTrendAggregation;
import * as SummarizeDatabaseInsightResourceStatisticsAggregationCollection from "./summarize-database-insight-resource-statistics-aggregation-collection";
export import SummarizeDatabaseInsightResourceStatisticsAggregationCollection = SummarizeDatabaseInsightResourceStatisticsAggregationCollection.SummarizeDatabaseInsightResourceStatisticsAggregationCollection;
import * as SummarizeDatabaseInsightResourceUsageAggregation from "./summarize-database-insight-resource-usage-aggregation";
export import SummarizeDatabaseInsightResourceUsageAggregation = SummarizeDatabaseInsightResourceUsageAggregation.SummarizeDatabaseInsightResourceUsageAggregation;
import * as SummarizeDatabaseInsightResourceUsageTrendAggregationCollection from "./summarize-database-insight-resource-usage-trend-aggregation-collection";
export import SummarizeDatabaseInsightResourceUsageTrendAggregationCollection = SummarizeDatabaseInsightResourceUsageTrendAggregationCollection.SummarizeDatabaseInsightResourceUsageTrendAggregationCollection;
import * as SummarizeDatabaseInsightResourceUtilizationInsightAggregation from "./summarize-database-insight-resource-utilization-insight-aggregation";
export import SummarizeDatabaseInsightResourceUtilizationInsightAggregation = SummarizeDatabaseInsightResourceUtilizationInsightAggregation.SummarizeDatabaseInsightResourceUtilizationInsightAggregation;
import * as SummarizeDatabaseInsightTablespaceUsageTrendAggregationCollection from "./summarize-database-insight-tablespace-usage-trend-aggregation-collection";
export import SummarizeDatabaseInsightTablespaceUsageTrendAggregationCollection = SummarizeDatabaseInsightTablespaceUsageTrendAggregationCollection.SummarizeDatabaseInsightTablespaceUsageTrendAggregationCollection;
import * as SummarizeExadataInsightResourceCapacityTrendAggregation from "./summarize-exadata-insight-resource-capacity-trend-aggregation";
export import SummarizeExadataInsightResourceCapacityTrendAggregation = SummarizeExadataInsightResourceCapacityTrendAggregation.SummarizeExadataInsightResourceCapacityTrendAggregation;
import * as SummarizeExadataInsightResourceCapacityTrendCollection from "./summarize-exadata-insight-resource-capacity-trend-collection";
export import SummarizeExadataInsightResourceCapacityTrendCollection = SummarizeExadataInsightResourceCapacityTrendCollection.SummarizeExadataInsightResourceCapacityTrendCollection;
import * as SummarizeExadataInsightResourceForecastTrendAggregation from "./summarize-exadata-insight-resource-forecast-trend-aggregation";
export import SummarizeExadataInsightResourceForecastTrendAggregation = SummarizeExadataInsightResourceForecastTrendAggregation.SummarizeExadataInsightResourceForecastTrendAggregation;
import * as SummarizeExadataInsightResourceForecastTrendCollection from "./summarize-exadata-insight-resource-forecast-trend-collection";
export import SummarizeExadataInsightResourceForecastTrendCollection = SummarizeExadataInsightResourceForecastTrendCollection.SummarizeExadataInsightResourceForecastTrendCollection;
import * as SummarizeExadataInsightResourceStatisticsAggregationCollection from "./summarize-exadata-insight-resource-statistics-aggregation-collection";
export import SummarizeExadataInsightResourceStatisticsAggregationCollection = SummarizeExadataInsightResourceStatisticsAggregationCollection.SummarizeExadataInsightResourceStatisticsAggregationCollection;
import * as SummarizeExadataInsightResourceUsageAggregation from "./summarize-exadata-insight-resource-usage-aggregation";
export import SummarizeExadataInsightResourceUsageAggregation = SummarizeExadataInsightResourceUsageAggregation.SummarizeExadataInsightResourceUsageAggregation;
import * as SummarizeExadataInsightResourceUsageCollection from "./summarize-exadata-insight-resource-usage-collection";
export import SummarizeExadataInsightResourceUsageCollection = SummarizeExadataInsightResourceUsageCollection.SummarizeExadataInsightResourceUsageCollection;
import * as SummarizeExadataInsightResourceUtilizationInsightAggregation from "./summarize-exadata-insight-resource-utilization-insight-aggregation";
export import SummarizeExadataInsightResourceUtilizationInsightAggregation = SummarizeExadataInsightResourceUtilizationInsightAggregation.SummarizeExadataInsightResourceUtilizationInsightAggregation;
import * as SummarizeHostInsightResourceCapacityTrendAggregationCollection from "./summarize-host-insight-resource-capacity-trend-aggregation-collection";
export import SummarizeHostInsightResourceCapacityTrendAggregationCollection = SummarizeHostInsightResourceCapacityTrendAggregationCollection.SummarizeHostInsightResourceCapacityTrendAggregationCollection;
import * as SummarizeHostInsightResourceForecastTrendAggregation from "./summarize-host-insight-resource-forecast-trend-aggregation";
export import SummarizeHostInsightResourceForecastTrendAggregation = SummarizeHostInsightResourceForecastTrendAggregation.SummarizeHostInsightResourceForecastTrendAggregation;
import * as SummarizeHostInsightResourceStatisticsAggregationCollection from "./summarize-host-insight-resource-statistics-aggregation-collection";
export import SummarizeHostInsightResourceStatisticsAggregationCollection = SummarizeHostInsightResourceStatisticsAggregationCollection.SummarizeHostInsightResourceStatisticsAggregationCollection;
import * as SummarizeHostInsightResourceUsageAggregation from "./summarize-host-insight-resource-usage-aggregation";
export import SummarizeHostInsightResourceUsageAggregation = SummarizeHostInsightResourceUsageAggregation.SummarizeHostInsightResourceUsageAggregation;
import * as SummarizeHostInsightResourceUsageTrendAggregationCollection from "./summarize-host-insight-resource-usage-trend-aggregation-collection";
export import SummarizeHostInsightResourceUsageTrendAggregationCollection = SummarizeHostInsightResourceUsageTrendAggregationCollection.SummarizeHostInsightResourceUsageTrendAggregationCollection;
import * as SummarizeHostInsightResourceUtilizationInsightAggregation from "./summarize-host-insight-resource-utilization-insight-aggregation";
export import SummarizeHostInsightResourceUtilizationInsightAggregation = SummarizeHostInsightResourceUtilizationInsightAggregation.SummarizeHostInsightResourceUtilizationInsightAggregation;
import * as SummaryStatistics from "./summary-statistics";
export import SummaryStatistics = SummaryStatistics.SummaryStatistics;
import * as TablespaceUsageTrend from "./tablespace-usage-trend";
export import TablespaceUsageTrend = TablespaceUsageTrend.TablespaceUsageTrend;
import * as TablespaceUsageTrendAggregation from "./tablespace-usage-trend-aggregation";
export import TablespaceUsageTrendAggregation = TablespaceUsageTrendAggregation.TablespaceUsageTrendAggregation;
import * as UpdateDatabaseInsightDetails from "./update-database-insight-details";
export import UpdateDatabaseInsightDetails = UpdateDatabaseInsightDetails.UpdateDatabaseInsightDetails;
import * as UpdateEnterpriseManagerBridgeDetails from "./update-enterprise-manager-bridge-details";
export import UpdateEnterpriseManagerBridgeDetails = UpdateEnterpriseManagerBridgeDetails.UpdateEnterpriseManagerBridgeDetails;
import * as UpdateExadataInsightDetails from "./update-exadata-insight-details";
export import UpdateExadataInsightDetails = UpdateExadataInsightDetails.UpdateExadataInsightDetails;
import * as UpdateHostInsightDetails from "./update-host-insight-details";
export import UpdateHostInsightDetails = UpdateHostInsightDetails.UpdateHostInsightDetails;
import * as UsageUnit from "./usage-unit";
export import UsageUnit = UsageUnit.UsageUnit;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestCollection from "./work-request-collection";
export import WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceMetadataKey from "./work-request-resource-metadata-key";
export import WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
import * as WorkRequests from "./work-requests";
export import WorkRequests = WorkRequests.WorkRequests;
import * as AddEmManagedExternalExadataInsightMembersDetails from "./add-em-managed-external-exadata-insight-members-details";
export import AddEmManagedExternalExadataInsightMembersDetails = AddEmManagedExternalExadataInsightMembersDetails.AddEmManagedExternalExadataInsightMembersDetails;
import * as AutonomousDatabaseConfigurationSummary from "./autonomous-database-configuration-summary";
export import AutonomousDatabaseConfigurationSummary = AutonomousDatabaseConfigurationSummary.AutonomousDatabaseConfigurationSummary;
import * as AutonomousDatabaseInsight from "./autonomous-database-insight";
export import AutonomousDatabaseInsight = AutonomousDatabaseInsight.AutonomousDatabaseInsight;
import * as AutonomousDatabaseInsightSummary from "./autonomous-database-insight-summary";
export import AutonomousDatabaseInsightSummary = AutonomousDatabaseInsightSummary.AutonomousDatabaseInsightSummary;
import * as CreateEmManagedExternalDatabaseInsightDetails from "./create-em-managed-external-database-insight-details";
export import CreateEmManagedExternalDatabaseInsightDetails = CreateEmManagedExternalDatabaseInsightDetails.CreateEmManagedExternalDatabaseInsightDetails;
import * as CreateEmManagedExternalExadataInsightDetails from "./create-em-managed-external-exadata-insight-details";
export import CreateEmManagedExternalExadataInsightDetails = CreateEmManagedExternalExadataInsightDetails.CreateEmManagedExternalExadataInsightDetails;
import * as CreateEmManagedExternalHostInsightDetails from "./create-em-managed-external-host-insight-details";
export import CreateEmManagedExternalHostInsightDetails = CreateEmManagedExternalHostInsightDetails.CreateEmManagedExternalHostInsightDetails;
import * as CreateMacsManagedExternalHostInsightDetails from "./create-macs-managed-external-host-insight-details";
export import CreateMacsManagedExternalHostInsightDetails = CreateMacsManagedExternalHostInsightDetails.CreateMacsManagedExternalHostInsightDetails;
import * as CredentialsBySource from "./credentials-by-source";
export import CredentialsBySource = CredentialsBySource.CredentialsBySource;
import * as DBExternalInstance from "./d-bexternal-instance";
export import DBExternalInstance = DBExternalInstance.DBExternalInstance;
import * as DBExternalProperties from "./d-bexternal-properties";
export import DBExternalProperties = DBExternalProperties.DBExternalProperties;
import * as DBOSConfigInstance from "./d-bo-sconfig-instance";
export import DBOSConfigInstance = DBOSConfigInstance.DBOSConfigInstance;
import * as EmManagedExternalDatabaseConfigurationSummary from "./em-managed-external-database-configuration-summary";
export import EmManagedExternalDatabaseConfigurationSummary = EmManagedExternalDatabaseConfigurationSummary.EmManagedExternalDatabaseConfigurationSummary;
import * as EmManagedExternalDatabaseInsight from "./em-managed-external-database-insight";
export import EmManagedExternalDatabaseInsight = EmManagedExternalDatabaseInsight.EmManagedExternalDatabaseInsight;
import * as EmManagedExternalDatabaseInsightSummary from "./em-managed-external-database-insight-summary";
export import EmManagedExternalDatabaseInsightSummary = EmManagedExternalDatabaseInsightSummary.EmManagedExternalDatabaseInsightSummary;
import * as EmManagedExternalExadataInsight from "./em-managed-external-exadata-insight";
export import EmManagedExternalExadataInsight = EmManagedExternalExadataInsight.EmManagedExternalExadataInsight;
import * as EmManagedExternalExadataInsightSummary from "./em-managed-external-exadata-insight-summary";
export import EmManagedExternalExadataInsightSummary = EmManagedExternalExadataInsightSummary.EmManagedExternalExadataInsightSummary;
import * as EmManagedExternalHostConfigurationSummary from "./em-managed-external-host-configuration-summary";
export import EmManagedExternalHostConfigurationSummary = EmManagedExternalHostConfigurationSummary.EmManagedExternalHostConfigurationSummary;
import * as EmManagedExternalHostInsight from "./em-managed-external-host-insight";
export import EmManagedExternalHostInsight = EmManagedExternalHostInsight.EmManagedExternalHostInsight;
import * as EmManagedExternalHostInsightSummary from "./em-managed-external-host-insight-summary";
export import EmManagedExternalHostInsightSummary = EmManagedExternalHostInsightSummary.EmManagedExternalHostInsightSummary;
import * as EnableEmManagedExternalDatabaseInsightDetails from "./enable-em-managed-external-database-insight-details";
export import EnableEmManagedExternalDatabaseInsightDetails = EnableEmManagedExternalDatabaseInsightDetails.EnableEmManagedExternalDatabaseInsightDetails;
import * as EnableEmManagedExternalExadataInsightDetails from "./enable-em-managed-external-exadata-insight-details";
export import EnableEmManagedExternalExadataInsightDetails = EnableEmManagedExternalExadataInsightDetails.EnableEmManagedExternalExadataInsightDetails;
import * as EnableEmManagedExternalHostInsightDetails from "./enable-em-managed-external-host-insight-details";
export import EnableEmManagedExternalHostInsightDetails = EnableEmManagedExternalHostInsightDetails.EnableEmManagedExternalHostInsightDetails;
import * as EnableMacsManagedExternalHostInsightDetails from "./enable-macs-managed-external-host-insight-details";
export import EnableMacsManagedExternalHostInsightDetails = EnableMacsManagedExternalHostInsightDetails.EnableMacsManagedExternalHostInsightDetails;
import * as ExadataDatabaseMachineConfigurationSummary from "./exadata-database-machine-configuration-summary";
export import ExadataDatabaseMachineConfigurationSummary = ExadataDatabaseMachineConfigurationSummary.ExadataDatabaseMachineConfigurationSummary;
import * as ExadataDatabaseStatisticsSummary from "./exadata-database-statistics-summary";
export import ExadataDatabaseStatisticsSummary = ExadataDatabaseStatisticsSummary.ExadataDatabaseStatisticsSummary;
import * as ExadataDiskgroupStatisticsSummary from "./exadata-diskgroup-statistics-summary";
export import ExadataDiskgroupStatisticsSummary = ExadataDiskgroupStatisticsSummary.ExadataDiskgroupStatisticsSummary;
import * as ExadataHostStatisticsSummary from "./exadata-host-statistics-summary";
export import ExadataHostStatisticsSummary = ExadataHostStatisticsSummary.ExadataHostStatisticsSummary;
import * as ExadataStorageServerStatisticsSummary from "./exadata-storage-server-statistics-summary";
export import ExadataStorageServerStatisticsSummary = ExadataStorageServerStatisticsSummary.ExadataStorageServerStatisticsSummary;
import * as HostCpuHardwareConfiguration from "./host-cpu-hardware-configuration";
export import HostCpuHardwareConfiguration = HostCpuHardwareConfiguration.HostCpuHardwareConfiguration;
import * as HostCpuStatistics from "./host-cpu-statistics";
export import HostCpuStatistics = HostCpuStatistics.HostCpuStatistics;
import * as HostCpuUsage from "./host-cpu-usage";
export import HostCpuUsage = HostCpuUsage.HostCpuUsage;
import * as HostEntities from "./host-entities";
export import HostEntities = HostEntities.HostEntities;
import * as HostHardwareConfiguration from "./host-hardware-configuration";
export import HostHardwareConfiguration = HostHardwareConfiguration.HostHardwareConfiguration;
import * as HostImportableAgentEntitySummary from "./host-importable-agent-entity-summary";
export import HostImportableAgentEntitySummary = HostImportableAgentEntitySummary.HostImportableAgentEntitySummary;
import * as HostMemoryConfiguration from "./host-memory-configuration";
export import HostMemoryConfiguration = HostMemoryConfiguration.HostMemoryConfiguration;
import * as HostMemoryStatistics from "./host-memory-statistics";
export import HostMemoryStatistics = HostMemoryStatistics.HostMemoryStatistics;
import * as HostMemoryUsage from "./host-memory-usage";
export import HostMemoryUsage = HostMemoryUsage.HostMemoryUsage;
import * as HostNetworkActivitySummary from "./host-network-activity-summary";
export import HostNetworkActivitySummary = HostNetworkActivitySummary.HostNetworkActivitySummary;
import * as HostNetworkConfiguration from "./host-network-configuration";
export import HostNetworkConfiguration = HostNetworkConfiguration.HostNetworkConfiguration;
import * as HostProduct from "./host-product";
export import HostProduct = HostProduct.HostProduct;
import * as HostResourceAllocation from "./host-resource-allocation";
export import HostResourceAllocation = HostResourceAllocation.HostResourceAllocation;
import * as MacsManagedExternalDatabaseConfigurationSummary from "./macs-managed-external-database-configuration-summary";
export import MacsManagedExternalDatabaseConfigurationSummary = MacsManagedExternalDatabaseConfigurationSummary.MacsManagedExternalDatabaseConfigurationSummary;
import * as MacsManagedExternalDatabaseInsight from "./macs-managed-external-database-insight";
export import MacsManagedExternalDatabaseInsight = MacsManagedExternalDatabaseInsight.MacsManagedExternalDatabaseInsight;
import * as MacsManagedExternalDatabaseInsightSummary from "./macs-managed-external-database-insight-summary";
export import MacsManagedExternalDatabaseInsightSummary = MacsManagedExternalDatabaseInsightSummary.MacsManagedExternalDatabaseInsightSummary;
import * as MacsManagedExternalHostConfigurationSummary from "./macs-managed-external-host-configuration-summary";
export import MacsManagedExternalHostConfigurationSummary = MacsManagedExternalHostConfigurationSummary.MacsManagedExternalHostConfigurationSummary;
import * as MacsManagedExternalHostInsight from "./macs-managed-external-host-insight";
export import MacsManagedExternalHostInsight = MacsManagedExternalHostInsight.MacsManagedExternalHostInsight;
import * as MacsManagedExternalHostInsightSummary from "./macs-managed-external-host-insight-summary";
export import MacsManagedExternalHostInsightSummary = MacsManagedExternalHostInsightSummary.MacsManagedExternalHostInsightSummary;
import * as UpdateAutonomousDatabaseInsightDetails from "./update-autonomous-database-insight-details";
export import UpdateAutonomousDatabaseInsightDetails = UpdateAutonomousDatabaseInsightDetails.UpdateAutonomousDatabaseInsightDetails;
import * as UpdateEmManagedExternalDatabaseInsightDetails from "./update-em-managed-external-database-insight-details";
export import UpdateEmManagedExternalDatabaseInsightDetails = UpdateEmManagedExternalDatabaseInsightDetails.UpdateEmManagedExternalDatabaseInsightDetails;
import * as UpdateEmManagedExternalExadataInsightDetails from "./update-em-managed-external-exadata-insight-details";
export import UpdateEmManagedExternalExadataInsightDetails = UpdateEmManagedExternalExadataInsightDetails.UpdateEmManagedExternalExadataInsightDetails;
import * as UpdateEmManagedExternalHostInsightDetails from "./update-em-managed-external-host-insight-details";
export import UpdateEmManagedExternalHostInsightDetails = UpdateEmManagedExternalHostInsightDetails.UpdateEmManagedExternalHostInsightDetails;
import * as UpdateMacsManagedExternalDatabaseInsightDetails from "./update-macs-managed-external-database-insight-details";
export import UpdateMacsManagedExternalDatabaseInsightDetails = UpdateMacsManagedExternalDatabaseInsightDetails.UpdateMacsManagedExternalDatabaseInsightDetails;
import * as UpdateMacsManagedExternalHostInsightDetails from "./update-macs-managed-external-host-insight-details";
export import UpdateMacsManagedExternalHostInsightDetails = UpdateMacsManagedExternalHostInsightDetails.UpdateMacsManagedExternalHostInsightDetails;
