"use strict";
/**
 * Operations Insights API
 * Use the Operations Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Operations Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummarizeSqlStatisticsRequest = exports.SummarizeSqlInsightsRequest = exports.SummarizeHostInsightResourceUtilizationInsightRequest = exports.SummarizeHostInsightResourceUsageTrendRequest = exports.SummarizeHostInsightResourceUsageRequest = exports.SummarizeHostInsightResourceStatisticsRequest = exports.SummarizeHostInsightResourceForecastTrendRequest = exports.SummarizeHostInsightResourceCapacityTrendRequest = exports.SummarizeExadataMembersRequest = exports.SummarizeExadataInsightResourceUsageRequest = exports.SummarizeExadataInsightResourceStatisticsRequest = exports.SummarizeExadataInsightResourceForecastTrendAggregatedRequest = exports.SummarizeExadataInsightResourceForecastTrendRequest = exports.SummarizeExadataInsightResourceCapacityTrendAggregatedRequest = exports.SummarizeExadataInsightResourceCapacityTrendRequest = exports.SummarizeDatabaseInsightResourceUtilizationInsightRequest = exports.SummarizeDatabaseInsightResourceUsageTrendRequest = exports.SummarizeDatabaseInsightResourceUsageRequest = exports.SummarizeDatabaseInsightResourceStatisticsRequest = exports.SummarizeDatabaseInsightResourceForecastTrendRequest = exports.SummarizeDatabaseInsightResourceCapacityTrendRequest = exports.ListWorkRequestsRequest = exports.ListWorkRequestLogsRequest = exports.ListWorkRequestErrorsRequest = exports.ListImportableAgentEntitiesRequest = exports.ListHostedEntitiesRequest = exports.ListHostInsightsRequest = exports.ListHostConfigurationsRequest = exports.ListExadataInsightsRequest = exports.ListExadataConfigurationsRequest = exports.ListEnterpriseManagerBridgesRequest = exports.ListDatabaseInsightsRequest = exports.ListDatabaseConfigurationsRequest = void 0;
const ListDatabaseConfigurationsRequest = __importStar(require("./list-database-configurations-request"));
exports.ListDatabaseConfigurationsRequest = ListDatabaseConfigurationsRequest.ListDatabaseConfigurationsRequest;
const ListDatabaseInsightsRequest = __importStar(require("./list-database-insights-request"));
exports.ListDatabaseInsightsRequest = ListDatabaseInsightsRequest.ListDatabaseInsightsRequest;
const ListEnterpriseManagerBridgesRequest = __importStar(require("./list-enterprise-manager-bridges-request"));
exports.ListEnterpriseManagerBridgesRequest = ListEnterpriseManagerBridgesRequest.ListEnterpriseManagerBridgesRequest;
const ListExadataConfigurationsRequest = __importStar(require("./list-exadata-configurations-request"));
exports.ListExadataConfigurationsRequest = ListExadataConfigurationsRequest.ListExadataConfigurationsRequest;
const ListExadataInsightsRequest = __importStar(require("./list-exadata-insights-request"));
exports.ListExadataInsightsRequest = ListExadataInsightsRequest.ListExadataInsightsRequest;
const ListHostConfigurationsRequest = __importStar(require("./list-host-configurations-request"));
exports.ListHostConfigurationsRequest = ListHostConfigurationsRequest.ListHostConfigurationsRequest;
const ListHostInsightsRequest = __importStar(require("./list-host-insights-request"));
exports.ListHostInsightsRequest = ListHostInsightsRequest.ListHostInsightsRequest;
const ListHostedEntitiesRequest = __importStar(require("./list-hosted-entities-request"));
exports.ListHostedEntitiesRequest = ListHostedEntitiesRequest.ListHostedEntitiesRequest;
const ListImportableAgentEntitiesRequest = __importStar(require("./list-importable-agent-entities-request"));
exports.ListImportableAgentEntitiesRequest = ListImportableAgentEntitiesRequest.ListImportableAgentEntitiesRequest;
const ListWorkRequestErrorsRequest = __importStar(require("./list-work-request-errors-request"));
exports.ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
const ListWorkRequestLogsRequest = __importStar(require("./list-work-request-logs-request"));
exports.ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
const ListWorkRequestsRequest = __importStar(require("./list-work-requests-request"));
exports.ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
const SummarizeDatabaseInsightResourceCapacityTrendRequest = __importStar(require("./summarize-database-insight-resource-capacity-trend-request"));
exports.SummarizeDatabaseInsightResourceCapacityTrendRequest = SummarizeDatabaseInsightResourceCapacityTrendRequest.SummarizeDatabaseInsightResourceCapacityTrendRequest;
const SummarizeDatabaseInsightResourceForecastTrendRequest = __importStar(require("./summarize-database-insight-resource-forecast-trend-request"));
exports.SummarizeDatabaseInsightResourceForecastTrendRequest = SummarizeDatabaseInsightResourceForecastTrendRequest.SummarizeDatabaseInsightResourceForecastTrendRequest;
const SummarizeDatabaseInsightResourceStatisticsRequest = __importStar(require("./summarize-database-insight-resource-statistics-request"));
exports.SummarizeDatabaseInsightResourceStatisticsRequest = SummarizeDatabaseInsightResourceStatisticsRequest.SummarizeDatabaseInsightResourceStatisticsRequest;
const SummarizeDatabaseInsightResourceUsageRequest = __importStar(require("./summarize-database-insight-resource-usage-request"));
exports.SummarizeDatabaseInsightResourceUsageRequest = SummarizeDatabaseInsightResourceUsageRequest.SummarizeDatabaseInsightResourceUsageRequest;
const SummarizeDatabaseInsightResourceUsageTrendRequest = __importStar(require("./summarize-database-insight-resource-usage-trend-request"));
exports.SummarizeDatabaseInsightResourceUsageTrendRequest = SummarizeDatabaseInsightResourceUsageTrendRequest.SummarizeDatabaseInsightResourceUsageTrendRequest;
const SummarizeDatabaseInsightResourceUtilizationInsightRequest = __importStar(require("./summarize-database-insight-resource-utilization-insight-request"));
exports.SummarizeDatabaseInsightResourceUtilizationInsightRequest = SummarizeDatabaseInsightResourceUtilizationInsightRequest.SummarizeDatabaseInsightResourceUtilizationInsightRequest;
const SummarizeExadataInsightResourceCapacityTrendRequest = __importStar(require("./summarize-exadata-insight-resource-capacity-trend-request"));
exports.SummarizeExadataInsightResourceCapacityTrendRequest = SummarizeExadataInsightResourceCapacityTrendRequest.SummarizeExadataInsightResourceCapacityTrendRequest;
const SummarizeExadataInsightResourceCapacityTrendAggregatedRequest = __importStar(require("./summarize-exadata-insight-resource-capacity-trend-aggregated-request"));
exports.SummarizeExadataInsightResourceCapacityTrendAggregatedRequest = SummarizeExadataInsightResourceCapacityTrendAggregatedRequest.SummarizeExadataInsightResourceCapacityTrendAggregatedRequest;
const SummarizeExadataInsightResourceForecastTrendRequest = __importStar(require("./summarize-exadata-insight-resource-forecast-trend-request"));
exports.SummarizeExadataInsightResourceForecastTrendRequest = SummarizeExadataInsightResourceForecastTrendRequest.SummarizeExadataInsightResourceForecastTrendRequest;
const SummarizeExadataInsightResourceForecastTrendAggregatedRequest = __importStar(require("./summarize-exadata-insight-resource-forecast-trend-aggregated-request"));
exports.SummarizeExadataInsightResourceForecastTrendAggregatedRequest = SummarizeExadataInsightResourceForecastTrendAggregatedRequest.SummarizeExadataInsightResourceForecastTrendAggregatedRequest;
const SummarizeExadataInsightResourceStatisticsRequest = __importStar(require("./summarize-exadata-insight-resource-statistics-request"));
exports.SummarizeExadataInsightResourceStatisticsRequest = SummarizeExadataInsightResourceStatisticsRequest.SummarizeExadataInsightResourceStatisticsRequest;
const SummarizeExadataInsightResourceUsageRequest = __importStar(require("./summarize-exadata-insight-resource-usage-request"));
exports.SummarizeExadataInsightResourceUsageRequest = SummarizeExadataInsightResourceUsageRequest.SummarizeExadataInsightResourceUsageRequest;
const SummarizeExadataMembersRequest = __importStar(require("./summarize-exadata-members-request"));
exports.SummarizeExadataMembersRequest = SummarizeExadataMembersRequest.SummarizeExadataMembersRequest;
const SummarizeHostInsightResourceCapacityTrendRequest = __importStar(require("./summarize-host-insight-resource-capacity-trend-request"));
exports.SummarizeHostInsightResourceCapacityTrendRequest = SummarizeHostInsightResourceCapacityTrendRequest.SummarizeHostInsightResourceCapacityTrendRequest;
const SummarizeHostInsightResourceForecastTrendRequest = __importStar(require("./summarize-host-insight-resource-forecast-trend-request"));
exports.SummarizeHostInsightResourceForecastTrendRequest = SummarizeHostInsightResourceForecastTrendRequest.SummarizeHostInsightResourceForecastTrendRequest;
const SummarizeHostInsightResourceStatisticsRequest = __importStar(require("./summarize-host-insight-resource-statistics-request"));
exports.SummarizeHostInsightResourceStatisticsRequest = SummarizeHostInsightResourceStatisticsRequest.SummarizeHostInsightResourceStatisticsRequest;
const SummarizeHostInsightResourceUsageRequest = __importStar(require("./summarize-host-insight-resource-usage-request"));
exports.SummarizeHostInsightResourceUsageRequest = SummarizeHostInsightResourceUsageRequest.SummarizeHostInsightResourceUsageRequest;
const SummarizeHostInsightResourceUsageTrendRequest = __importStar(require("./summarize-host-insight-resource-usage-trend-request"));
exports.SummarizeHostInsightResourceUsageTrendRequest = SummarizeHostInsightResourceUsageTrendRequest.SummarizeHostInsightResourceUsageTrendRequest;
const SummarizeHostInsightResourceUtilizationInsightRequest = __importStar(require("./summarize-host-insight-resource-utilization-insight-request"));
exports.SummarizeHostInsightResourceUtilizationInsightRequest = SummarizeHostInsightResourceUtilizationInsightRequest.SummarizeHostInsightResourceUtilizationInsightRequest;
const SummarizeSqlInsightsRequest = __importStar(require("./summarize-sql-insights-request"));
exports.SummarizeSqlInsightsRequest = SummarizeSqlInsightsRequest.SummarizeSqlInsightsRequest;
const SummarizeSqlStatisticsRequest = __importStar(require("./summarize-sql-statistics-request"));
exports.SummarizeSqlStatisticsRequest = SummarizeSqlStatisticsRequest.SummarizeSqlStatisticsRequest;
//# sourceMappingURL=index.js.map