/**
 * Organizations API
 * The Organizations API allows you to consolidate multiple OCI tenancies into an organization, and centrally manage your tenancies and its resources.
 * OpenAPI spec version: 20200801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An organization entity.
 */
export interface OrganizationSummary {
    /**
     * OCID of the organization.
     */
    "id": string;
    /**
     * A display name for the organization.
     */
    "displayName"?: string;
    /**
     * OCID of the compartment containing the organization. Always a tenancy OCID.
     */
    "compartmentId": string;
    /**
     * The name of the tenancy that is the organization parent.
     */
    "parentName"?: string;
    /**
     * OCID of the default Annual Universal Credits subscription. Any tenancy joining the organization will automatically get assigned this subscription, if a subscription is not explictly assigned.
     */
    "defaultUcmSubscriptionId": string;
    /**
     * Lifecycle state of the organization.
     */
    "lifecycleState": string;
    /**
     * Date-time when this organization was created.
     */
    "timeCreated": Date;
    /**
     * Date-time when this organization was last updated.
     */
    "timeUpdated"?: Date;
}
export declare namespace OrganizationSummary {
    function getJsonObj(obj: OrganizationSummary): object;
    function getDeserializedJsonObj(obj: OrganizationSummary): object;
}
