/**
 * UsageApi API
 * A description of the UsageApi API.
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The overrall reward summary of the monthly summary rewards.
 */
export interface RewardDetails {
    /**
     * The OCID of the target tenancy.
     */
    "tenancyId"?: string;
    /**
     * The entitlement id from MQS and it is same as subcription id.
     */
    "subscriptionId"?: string;
    /**
     * The currency unit for the reward amount.
     */
    "currency"?: string;
    /**
     * The current Rewards percentage in decimal format. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rewardsRate"?: number;
    /**
     * The total number of available rewards for a given subscription Id. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalRewardsAvailable"?: number;
}
export declare namespace RewardDetails {
    function getJsonObj(obj: RewardDetails): object;
    function getDeserializedJsonObj(obj: RewardDetails): object;
}
